Skip to main content
GET
/
api
/
user
/
notification-preferences
Get notification preferences
curl --request GET \
  --url https://your-instance.example.com/api/user/notification-preferences \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "aiResponses": true,
    "escalations": true,
    "assignments": true,
    "calls": false,
    "campaigns": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tetherai.ca/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Notification preferences returned

success
boolean
required
Example:

true

data
object
required
Example:
{
"aiResponses": true,
"inboundInAutopilot": true,
"automationTriggers": false,
"emailSync": true,
"escalations": true,
"autopilotMonitor": false,
"humanMonitor": true,
"assignments": true,
"calls": false,
"campaigns": true,
"other": false
}